/*
 * -----------------------------------
 * Copyright
 * COM.POSiTUM Multimedia-Agentur GmbH
 * -----------------------------------
 */
/* ------------------------------------
 *  FONTS
 * ------------------------------------
 */
/* ------------------------------------
*  BASICS
* ------------------------------------
*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  border: 0 none;
}

html,
body {
  min-height: 100vh;
}

html {
  font-size: 62.5%;
  /* 62.5% = 10px = 1rem */
}

body {
  background: #fff;
  font-size: 1.6rem;
  margin: 0;
  padding: 0;
}

img {
  max-width: 100%;
  height: auto;
}

a {
  color: inherit;
  text-decoration: none;
  color: var(--qu-color--primary);
  transition: all 0.2s ease;
}
a:hover {
  color: color(from var(--qu-color--primary) srgb r g b/64%);
}

p {
  /* line-height: 1.8; */
}

table {
  border-collapse: collapse;
}

table td {
  min-width: 8rem;
  padding: 0.2rem 0;
}

/* ------------------------------------
*  TYPOGRAPHY
* ------------------------------------
*/
h1,
h2,
h3,
h4,
h5,
h6 {
  margin-bottom: 2.4rem;
}

p {
  padding: 1.4rem 0;
  /* max-width: 55vw; */
}

p ~ h1,
p ~ h2,
p ~ h3,
p ~ h4,
p ~ h5,
p ~ h6 {
  margin-top: 4.8rem;
}

/* ------------------------------------
*  SCELETON
* ------------------------------------
*/
.page-wrapper {
  /* equal to footer height */
  min-height: 100%;
}

.page-wrapper::after {
  content: "";
  display: block;
  margin-bottom: -80px;
  height: 80px;
}

.content-wrapper {
  margin: 0 auto;
  min-height: 100%;
  width: 86%;
}

/* ------------------------------------
*  HELPER CLASSES
* ------------------------------------
*/
.fixed {
  position: fixed;
  z-index: 10;
}

.rightalign {
  text-align: right;
}

/* ------------------------------------
*  HEADER
* ------------------------------------
*/
header {
  /* background: #353535;
  color: #fff;
  padding: 2rem 0;
  width: 100%; */
}

header .content-wrapper {
  /* align-items: center;
  display: flex;
  justify-content: space-between; */
}

.logo-img {
  /* width: 25rem; */
}

/* ------------------------------------
*  NAVIGATION
* ------------------------------------
*/
nav ul li {
  display: inline-block;
  list-style-type: none;
  margin: 0 3rem;
  position: relative;
}

nav ul li:last-child {
  margin-right: 0;
}

nav ul li a {
  transition: all 0.2s ease;
}

nav ul li a:hover {
  color: lightgrey;
}

nav ul li ul {
  opacity: 0;
  padding-top: 2rem;
  position: absolute;
  transition: all 0.4s ease;
  visibility: hidden;
  z-index: 100;
}

nav ul li ul li {
  background: #fff;
  border-bottom: 1px solid lightgrey;
  color: #343434;
  display: block;
  margin: 0;
  padding: 1rem 1.5rem;
  transition: all 0.2s ease;
  width: 14rem;
}

nav ul li ul li:last-child {
  border-bottom: 0 none;
}

nav ul li ul li a:hover {
  color: #97c8de;
}

nav ul li:hover ul {
  opacity: 1;
  visibility: visible;
}

/* ------------------------------------
*  HERO IMAGE
* ------------------------------------
*/
.hero-img {
  background: lightgrey;
  height: 50rem;
  overflow: hidden;
  width: 100%;
}

.hero-img div {
  background-attachment: fixed;
  background-image: url(../img/bg.jpg);
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  height: 100%;
  transform: scale(1.25);
  width: 100%;
}

/* ------------------------------------
*  CONTENT
* ------------------------------------
*/
main {
  /* padding: 6rem 0; */
}

/* ------------------------------------
*  FORMS
* ------------------------------------
*/
input,
select,
textarea {
  display: block;
  background-color: var(--qu-color--secondary);
  border: 1px solid;
  color: var(--qu-color--primary);
  border-top: none;
  font: inherit;
  line-height: 1;
  font-size: inherit;
  padding: 0 0.5rem 0.5rem 0.5rem;
  margin: 0;
  width: 100%;
}

input:-webkit-autofill,
input:-webkit-autofill:focus,
input:-internal-autofill-selected {
  appearance: none;
  background-color: var(--qu-color--secondary) !important;
  color: var(--qu-color--primary) !important;
  transition: background-color 0s 600000s, color 0s 600000s !important;
}

[aria-invalid=true] {
  border-color: red;
}

.form_row.invalid:after {
  content: "Dieses Feld darf nicht leer sein.";
  display: block;
  width: 100%;
  font-size: 0.8em;
}

label:first-child {
  display: block;
  margin-bottom: 0.5em;
}

input:focus,
textarea:focus {
  outline: 0 none;
}

textarea {
  height: 14rem;
}

select:focus-visible {
   outline: none;
}

/* ------------------------------------
*  BUTTONS
* ------------------------------------
*/
button {
  cursor: pointer;
}

input[type=submit],
button:not(.accordion > * > button):not(.menu-icon) {
  background: var(--qu-color--primary);
  color: var(--qu-color--secondary);
  transition: all 0.4s ease;
  cursor: pointer;
  display: block;
  font: inherit;
  padding: 0.5em 2em;
  transition: all 0.4s ease;
  border-radius: 1.5em;
  text-transform: uppercase;
  border: none;
  font-weight: 700;
  width: fit-content;
  font-size: clamp(2rem, 5vw, 4rem);
}

button:not(.accordion > * > button):not(.menu-icon):active,
button:not(.accordion > * > button):not(.menu-icon):focus {
  outline: 0 none;
}

input[type=submit]:hover,
button:not(.accordion > * > button):not(.menu-icon):hover {
  background: var(--qu-color--white);
  cursor: pointer;
}

.button--border {
  background: transparent;
  border: 2px solid #97c8de;
  color: #97c8de;
}

.button--border:hover {
  background: #97c8de;
  color: #fff;
}

/* ------------------------------------
*  FOOTER
* ------------------------------------
*/
footer {
  /* background: #353535;
  color: #fff;
  height: 80px;
  padding: 3rem 0;
  width: 100%; */
}

footer .content-wrapper {
  align-items: center;
  display: flex;
  justify-content: space-between;
}

/* ------------------------------------
*  Form
* ------------------------------------
*/
form {
  background-color: var(--qu-color--secondary);
  color: var(--qu-color--primary);
  padding: var(--gap, 4rem 2rem);
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: var(--gap, 2rem);
  align-items: start;
  max-width: 120rem;
  width: 100%;
  margin: 0 auto;
}

form ul {
  padding-left: 1em;
}

form > * {
  grid-column-end: span 2;
}

form > .short {
  grid-column-end: span 1;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
}

form > .short > label {
  width: 100%;
}

form > .short > input {
  width: 10rem;
  flex-grow: 1;
}

form .msg.success {
  position: fixed;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 5vmin;
  z-index: 100;
  background-color: rgba(255, 255, 255, 0.431372549);
  backdrop-filter: blur(5px);
  font-size: var(--large_sz);
  text-transform: uppercase;
  font-weight: 900;
  line-height: 1;
}

form .msg.success div {
  background-color: var(--qu-color--white);
  padding: var(--gap, 2rem);
  max-width: 100%;
  /* width: 100%; */
  box-shadow: 0.5rem 0.5rem 1rem rgba(0, 0, 0, 0.1);
  display: flex;
  flex-direction: column;
}

form .msg.success div::before {
  content: url(../img/fistbumb-sticker.svg);
  display: block;
  margin-left: auto;
  margin-bottom: -1.1em;
  width: 15rem;
  order: 1;
  position: relative;
}

form .msg.success div > * {
  order: 1;
}

form .msg.success div p {
  width: 50rem;
  max-width: 100%;
}

form .msg.success div button {
  order: 0;
  margin-left: auto;
  padding: 0;
  background: none;
  border: none;
  aspect-ratio: 1;
  color: transparent;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

form .msg.success div button:before,
form .msg.success div button:after {
  content: "";
  width: 1em;
  height: 0.3rem;
  background-color: var(--qu-color--primary);
  position: absolute;
  top: 50%;
  left: 50%;
  display: block;
  transform: translate(-50%, -50%);
}

form .msg.success div button:before {
  transform: translate(-50%, -50%) rotate(45deg);
}

form .msg.success div button:after {
  transform: translate(-50%, -50%) rotate(-45deg);
}